Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(40)

Issue 2971733002: Change CookieStore::DeleteCallback to take uint32_t. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 4 days ago by Randy Smith (Not in Mondays)
Modified:
1 week, 3 days ago
CC:
chromium-reviews, msramek+watch_chromium.org, ios-reviews+chrome_chromium.org, ios-reviews_chromium.org, jam, wjmaclean, cbentzel+watch_chromium.org, darin-cc_chromium.org, devtools-reviews_chromium.org, marq+watch_chromium.org, noyau+watch_chromium.org, markusheintz_, net-reviews_chromium.org, android-webview-reviews_chromium.org, pfeldman
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Change CookieStore::DeleteCallback to take uint32_t. The number of cookies deleted will always be zero or a positive number, so should be represented by an unsigned. This is being done to bring the CookieStore interface into alignment with the Mojo cookie service. BUG=721395 R=mmenke@chromium.org TBR=sgurun@chromium.org TBR=mkwst@chromium.org TBR=sky@chromium.org TBR=jam@chromium.org TBR=rohitrao@chromium.org Review-Url: https://codereview.chromium.org/2971733002 Cr-Commit-Position: refs/heads/master@{#485148} Committed: https://chromium.googlesource.com/chromium/src/+/a5beda16555c10b32becc695dd03481ea61b9b98

Patch Set 1 #

Patch Set 2 : Fixed iOS browsing data remove compile error #

Patch Set 3 : Fixed Android webview compilation errors. #

Total comments: 12

Patch Set 4 : Got rid of rest of <cstdint> stuff. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+178 lines, -148 lines) Patch
M android_webview/browser/cookie_manager.cc View 1 2 3 3 chunks +5 lines, -3 lines 0 comments Download
M android_webview/browser/net/aw_cookie_store_wrapper.cc View 1 2 3 chunks +7 lines, -6 lines 0 comments Download
M android_webview/browser/net/aw_cookie_store_wrapper_unittest.cc View 1 2 3 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/chrome_browsing_data_remover_delegate.cc View 1 2 3 3 chunks +5 lines, -3 lines 0 comments Download
M chrome/browser/browsing_data/chrome_browsing_data_remover_delegate_unittest.cc View 1 2 3 2 chunks +3 lines, -1 line 0 comments Download
M chrome/browser/sessions/session_data_deleter.cc View 1 2 3 4 chunks +5 lines, -4 lines 0 comments Download
M content/browser/devtools/protocol/network_handler.cc View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M content/browser/storage_partition_impl.cc View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M ios/chrome/browser/browsing_data/browsing_data_removal_controller.mm View 1 2 3 2 chunks +3 lines, -1 line 0 comments Download
M ios/chrome/browser/browsing_data/ios_chrome_browsing_data_remover.h View 1 2 3 2 chunks +3 lines, -1 line 0 comments Download
M ios/chrome/browser/browsing_data/ios_chrome_browsing_data_remover.mm View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/net/cookie_util.mm View 1 2 3 2 chunks +2 lines, -1 line 0 comments Download
M ios/chrome/browser/ui/chrome_web_view_factory.mm View 1 2 3 2 chunks +3 lines, -1 line 0 comments Download
M ios/net/cookies/cookie_store_ios.h View 1 2 3 2 chunks +3 lines, -1 line 0 comments Download
M ios/net/cookies/cookie_store_ios.mm View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/cookies/cookie_monster.h View 2 chunks +5 lines, -5 lines 0 comments Download
M net/cookies/cookie_monster.cc View 1 2 3 12 chunks +28 lines, -26 lines 0 comments Download
M net/cookies/cookie_monster_unittest.cc View 1 2 3 14 chunks +50 lines, -47 lines 0 comments Download
M net/cookies/cookie_store.h View 1 2 3 2 chunks +3 lines, -1 line 0 comments Download
M net/cookies/cookie_store_unittest.h View 1 2 3 10 chunks +43 lines, -41 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 27 (20 generated)
Randy Smith (Not in Mondays)
Matt: Minor further tweak to cookie interface, for Mojo compatibility (== cleanup; Yuzhu suggested that ...
2 weeks, 3 days ago (2017-07-04 23:16:32 UTC) #11
mmenke
Other than the use of cstdint instead of stdint.h, looks fine. stdint.h is 110 times ...
2 weeks, 2 days ago (2017-07-05 16:58:50 UTC) #12
mmenke
Oh, and LGTM - don't think there's any need for a second pass here.
2 weeks, 2 days ago (2017-07-05 17:02:55 UTC) #13
Randy Smith (Not in Mondays)
Thanks! I also shifted cstdint -> stdint.h everywhere else in the patch. I'm going to ...
2 weeks ago (2017-07-08 13:03:27 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2971733002/60001
2 weeks ago (2017-07-08 13:05:04 UTC) #23
commit-bot: I haz the power
Committed patchset #4 (id:60001) as https://chromium.googlesource.com/chromium/src/+/a5beda16555c10b32becc695dd03481ea61b9b98
2 weeks ago (2017-07-08 13:56:03 UTC) #26
sky
1 week, 3 days ago (2017-07-11 17:40:00 UTC) #27
Message was sent while issue was closed.
chrome/browser/sessions/session_data_deleter.cc LGTM
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973